﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_CasePartialScript")
<div class="content">
    <fieldset>
        <table style="width: 100%">
            <tr>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Case Type";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_CASE_TYPE";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td style="width: 5%;"></td>
                @*add agi 2017-08-10 penambahan kolo case grouping*@
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Case Grouping";
                        Label.Width = 90;
                    }).GetHtml()
                </td>
                <td style="width: 10%;">
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_CASE_GROUPING";
                    settings.Width = 100;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td style="width: 5%;"></td>
                <td style="width: 10%;">
                    @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "Description";
                    Label.Width = 90;
                }).GetHtml()
                </td>
                <td style="width: 25%;">
                    @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_DESCRIPTION";
                    settings.Width = 250;
                    settings.ControlStyle.HorizontalAlign = HorizontalAlign.Left;
                }
                ).GetHtml()
                </td>
                <td style="width: 45%" align="right">
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdSearch";
                   edtSetting.Width = 80;
                   edtSetting.Text = "Search";
                   edtSetting.ClientSideEvents.Click = "OnSearch";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("CaseMaster", "FTR-SPEX-164-01", "SEARCH");
               }).GetHtml()
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdClear";
                   edtSetting.Width = 80;
                   edtSetting.Text = "Clear";
                   edtSetting.ClientSideEvents.Click = "OnClear";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("CaseMaster", "FTR-SPEX-164-01", "CLEAR");
               }).GetHtml()
                </td>
            </tr>
            <tr>
                <td style="width: 40%;" align="left" colspan="3">
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdDownload";
                   edtSetting.Width = 80;
                   edtSetting.Text = "Download";
                   edtSetting.ClientSideEvents.Click = "OnDownload";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = true;
                   edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("CaseMaster", "FTR-SPEX-164-02", "DOWNLOAD");
               }).GetHtml()
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdSave";
                   edtSetting.Width = 80;
                   edtSetting.Text = "Save";
                   edtSetting.ClientSideEvents.Click = "OnSave";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = true;
                   edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("CaseMaster", "FTR-SPEX-164-02", "SAVE");
               }).GetHtml()
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdCancel";
                   edtSetting.Width = 80;
                   edtSetting.Text = "Cancel";
                   edtSetting.ClientSideEvents.Click = "OnCancel";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = true;
                   edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("CaseMaster", "FTR-SPEX-164-02", "CANCEL");
               }).GetHtml()
                </td>
                <td align="right" colspan="6">
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdAdd";
                   edtSetting.Width = 80;
                   edtSetting.Text = "Add";
                   edtSetting.ClientSideEvents.Click = "OnAdd";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = true;
                   edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("CaseMaster", "FTR-SPEX-164-02", "ADD");
               }).GetHtml()
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdEdit";
                   edtSetting.Width = 80;
                   edtSetting.Text = "Edit";
                   edtSetting.ClientSideEvents.Click = "OnEdit";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = true;
                   edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("CaseMaster", "FTR-SPEX-164-02", "EDIT");
               }).GetHtml()
                    @Html.DevExpress().Button(edtSetting =>
               {
                   edtSetting.Name = "cmdDelete";
                   edtSetting.Width = 80;
                   edtSetting.Text = "Delete";
                   edtSetting.ClientSideEvents.Click = "OnDelete";
                   edtSetting.Style.Add("display", "inline-table");
                   edtSetting.UseSubmitBehavior = true;
                   edtSetting.ClientVisible = true;
                   edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("CaseMaster", "FTR-SPEX-164-02", "DELETE");
               }).GetHtml()
                </td>
            </tr>
        </table>
    </fieldset>

</div>
<div class="content" style="min-height: 300px">
    @Html.Partial("CaseGrid")
</div>
